{
  "display": {
    "icon": {
      "id": "minecraft:carved_pumpkin",
      "components": 
      {
        "custom_model_data":1007
    }
    },
    "title": {"translate":"adv.everyhat.title"},
    "description": {"translate":"adv.everyhat.description"},
    "show_toast": true,
    "announce_to_chat": true,
    "hidden": true
  },
  "parent": "ws:workersimulator/anyhat",
  "criteria": {
    "1": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1001}
          }
        ]
      }
    },
    "2": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1002}
          }
        ]
      }
    },
    "3": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1003}
          }
        ]
      }
    },
    "4": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1004}
          }
        ]
      }
    },
    "5": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1005}
          }
        ]
      }
    },
    "6": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1006}
          }
        ]
      }
    },
    "7": {
      "trigger": "minecraft:inventory_changed",
      "conditions": {
        "items": [
          {
            "components": {"custom_data":"{hat:1}",
            "custom_model_data":1007}
          }
        ]
      }
    }
  },
  "rewards": {
    "function": "ws:hatreward"
  }
}
